unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxColumns6, NxGridView6, NxControls6, NxCustomGrid6, NxVirtualGrid6, NxGrid6,
  Vcl.ImgList, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    NextGrid61: TNextGrid6;
    NxReportGridView61: TNxReportGridView6;
    NxTreeColumn61: TNxTreeColumn6;
    NxCheckBoxColumn61: TNxCheckBoxColumn6;
    ImageList1: TImageList;
    CheckBox1: TCheckBox;
    NxDateColumn61: TNxDateColumn6;
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  NxTreeColumn61.InteractionMoveSelection := TCheckBox(Sender).Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with NextGrid61.AddRow do
  begin
    ImageIndex := 0;
    Cells.Item[1].AsString := 'Germany';
  end;
  with NextGrid61.AddRow do
  begin
    ImageIndex := 1;
    Cells.Item[1].AsString := 'Italy';
  end;
  with NextGrid61.AddRow do
  begin
    ImageIndex := 2;
    Cells.Item[1].AsString := 'France';

  end;
  with NextGrid61.AddChildRow(0, 1) do
  begin
    Cells.Item[1].AsString := 'Berlin';
  end;
  with NextGrid61.AddChildRow(2, 1) do
  begin
    Cells.Item[1].AsString := 'Milano';
  end;
  with NextGrid61.AddChildRow(2, 1) do
  begin
    Cells.Item[1].AsString := 'Florence';
  end;
end;

end.
